﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.panelBar1.Orientation = this.panelBar1.Orientation == Orientation.Vertical ? Orientation.Horizontal : Orientation.Vertical;
		}
	}

	public class MyPanelBar : RadPanelBar
	{
		public Orientation MyOrientation
		{
			get
			{
				return (Orientation)GetValue(MyPanelBar.MyOrientationProperty);
			}
			set
			{
				SetValue(MyPanelBar.MyOrientationProperty, value);
			}
		}

		public static readonly DependencyProperty MyOrientationProperty =
			DependencyProperty.Register("MyOrientation", typeof(Orientation), typeof(MyPanelBar), new FrameworkPropertyMetadata
																									{

																										PropertyChangedCallback = (obj, e) =>
																										{

																											(obj as MyPanelBar).UpdateOrientation((Orientation)e.NewValue);
																										}
																									});
		private void UpdateOrientation(Orientation sel)
		{
			this.Orientation = sel;
		}
	}
}
